Attribute VB_Name = "Module18"
Private Declare Function ECF_AbreRelatorioGerencialMFD Lib "CONVECF.DLL" (ByVal Indice As String) As Integer
Private Declare Function ECF_UsaRelatorioGerencialMFD Lib "CONVECF.DLL" (ByVal Texto As String) As Integer
Private Declare Function ECF_FechaRelatorioGerencial Lib "CONVECF.DLL" () As Integer

Function RelatorioGerencial()

Dim Legenda, Text As String

'''''''''Abrir Relatório'''''''
Legenda = Space(2)
Legenda = "01"
retorno = ECF_AbreRelatorioGerencialMFD(Legenda)

MsgBox " 'Abrir Relatório' " & vbCrLf & "Status: " & retorno

'''''''''Inserir Texto'''''''
Text = Space(618)
Text = Chr(16) & "B" & Chr(16) & "E" & Chr(16) & "B" & "REL.GERENCIAL" & Chr(16) & "N" & vbCrLf & "----------OPERADORES---------" & vbCrLf & "OPERADOR 1:        MOVIMENTO:" & Date & vbCrLf & "VENDA BRUTA:            1234,56" & vbCrLf & "REL.GERENCIAL" & Chr(16) & "N" & vbCrLf & "----------OPERADORES---------" & vbCrLf & "OPERADOR 2:        MOVIMENTO:" & Date & vbCrLf & "VENDA BRUTA:            1122,33" & vbCrLf & vbCrLf & "MOVIMENTO TOTAL :         2356,89"


retorno = ECF_UsaRelatorioGerencialMFD(Text)

MsgBox " 'Inserir Texto' " & vbCrLf & "Status: " & retorno

'''''''''Fechar Relatório'''''''
ECF_FechaRelatorioGerencial

MsgBox " 'Fechar Relatório' " & vbCrLf & "Status: " & retorno
End Function
